- Qt 6.8
- Qt Core
- C++ Classes
- QAbstractEventDispatcher
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QAbstractEventDispatcher

The following members of class QAbstractEventDispatcher are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated in 6.8)` struct | TimerInfo

## Public Functions

`(deprecated)` int | registerTimer(qint64 interval, Qt::TimerType timerType, QObject *object)

## Member Function Documentation

### `[deprecated]` int QAbstractEventDispatcher::registerTimer(qint64 interval, Qt::TimerType timerType, QObject *object)

This function is deprecated. We strongly advise against using it in new code.

This function will be removed in Qt 7. Use the overload taking Duration.

Registers a timer with the specified interval and timerType for the given object and returns the timer id.